MeasurementCallbackClient (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.client.MeasurementCallbackClient class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.client
Class MeasurementCallbackClient

    java.lang.Object
      org.hyperic.hq.bizapp.client.AgentCallbackClient
          org.hyperic.hq.bizapp.client.MeasurementCallbackClient

    public class MeasurementCallbackClient

extends AgentCallbackClient

Constructor Summary
`MeasurementCallbackClient(ProviderFetcher fetcher)`

Method Summary
`MeasurementConfigList` | `getMeasurementConfigs()`
`long` | `measurementSendReport(MeasurementReport report)` Returns the current server time
`void` | `trackSendConfigChange(TrackEventReport report)`
`void` | `trackSendLog(TrackEventReport report)`

Methods inherited from class org.hyperic.hq.bizapp.client.AgentCallbackClient
`getDefaultProviderURL, getHostFromProviderURL, getProvider, invokeLatherCall, isValidProviderURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeasurementCallbackClient

    public MeasurementCallbackClient(ProviderFetcher fetcher)

Method Detail

### measurementSendReport

    public long measurementSendReport(MeasurementReport report)
                               throws AgentCallbackClientException

  Returns the current server time

  Throws:
    `AgentCallbackClientException`

### trackSendLog

    public void trackSendLog(TrackEventReport report)
                      throws AgentCallbackClientException

  Throws:
    `AgentCallbackClientException`

### trackSendConfigChange

    public void trackSendConfigChange(TrackEventReport report)
                               throws AgentCallbackClientException

  Throws:
    `AgentCallbackClientException`

### getMeasurementConfigs

    public MeasurementConfigList getMeasurementConfigs()
                                                throws AgentCallbackClientException

  Throws:
    `AgentCallbackClientException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.